Appearance
Variable: AppMeteringReport
ts
const AppMeteringReport: z.ZodObject<{
days: z.ZodArray<z.ZodObject<{
calls: z.ZodNumber;
day: z.ZodString;
handoffs: z.ZodNumber;
httpRequests: z.ZodNumber;
webhookHandlings: z.ZodNumber;
}, z.core.$strip>>;
installs: z.ZodArray<z.ZodObject<{
appName: z.ZodString;
budgets: z.ZodArray<z.ZodObject<{
max: z.ZodNumber;
metric: z.ZodEnum<{
calls: "calls";
http_requests: "http_requests";
spend: "spend";
}>;
period: z.ZodEnum<{
day: "day";
month: "month";
}>;
reached: z.ZodBoolean;
resetsAt: z.ZodCoercedDate<unknown>;
used: z.ZodNumber;
}, z.core.$strip>>;
currency: z.ZodNullable<z.ZodString>;
days: z.ZodArray<z.ZodObject<{
calls: z.ZodNumber;
day: z.ZodString;
handoffs: z.ZodNumber;
httpRequests: z.ZodNumber;
spendMicros: z.ZodNullable<z.ZodNumber>;
webhookHandlings: z.ZodNumber;
}, z.core.$strip>>;
installed: z.ZodBoolean;
installId: z.ZodGUID;
installName: z.ZodString;
month: z.ZodObject<{
calls: z.ZodNumber;
handoffs: z.ZodNumber;
httpRequests: z.ZodNumber;
spendMicros: z.ZodNullable<z.ZodNumber>;
webhookHandlings: z.ZodNumber;
}, z.core.$strip>;
}, z.core.$strip>>;
month: z.ZodString;
quotas: z.ZodArray<z.ZodObject<{
max: z.ZodNumber;
metric: z.ZodEnum<{
calls: "calls";
http_requests: "http_requests";
}>;
period: z.ZodEnum<{
day: "day";
month: "month";
}>;
resetsAt: z.ZodCoercedDate<unknown>;
setBy: z.ZodString;
updatedAt: z.ZodCoercedDate<unknown>;
used: z.ZodNumber;
}, z.core.$strip>>;
totals: z.ZodObject<{
calls: z.ZodNumber;
handoffs: z.ZodNumber;
httpRequests: z.ZodNumber;
webhookHandlings: z.ZodNumber;
}, z.core.$strip>;
}, z.core.$strip>;GET /apps/metering: the tenant's use over one UTC month, in total, per day and per install, and the operator's quotas with this period's use. Spend adds up in each install's currency, so the totals carry none.